> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# DWHアセット検索
> DWHアセット(データベース・スキーマ・テーブル・カラム)を検索します。
検索結果は関連度順に並び、`type` フィールドでアイテム種別を判別します。
## OpenAPI
````json POST /api/public/v1/cometa/catalog_items/search
{
"openapi": "3.0.3",
"info": {
"title": "[ベータ] COMETA APIリファレンス",
"description": "COMETA APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"paths": {
"/api/public/v1/cometa/catalog_items/search": {
"post": {
"summary": "DWHアセット検索",
"description": "DWHアセット(データベース・スキーマ・テーブル・カラム)を検索します。
\n検索結果は関連度順に並び、`type` フィールドでアイテム種別を判別します。\n",
"operationId": "searchCometaCatalogItems",
"tags": [
"cometa_catalog_items"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"q": {
"description": "検索クエリ文字列を指定します。",
"type": "string",
"example": "orders"
},
"catalog_id": {
"description": "検索対象を絞り込むデータストアIDを指定します。",
"type": "integer",
"format": "int64",
"example": 17
},
"database": {
"description": "完全修飾名のデータベース部による絞り込みを指定します。",
"type": "string",
"example": "project_a"
},
"schema": {
"description": "完全修飾名のスキーマ部による絞り込みを指定します。",
"type": "string",
"example": "analytics"
},
"types": {
"description": "検索対象のアイテム種別を指定します。
\n指定可能な値は以下の通りです。\n",
"type": "array",
"items": {
"type": "string",
"enum": [
"catalog_database",
"catalog_schema",
"catalog_table",
"catalog_column"
]
},
"example": [
"catalog_table",
"catalog_column"
]
},
"page": {
"description": "取得するページ番号を指定します。1始まり。",
"type": "integer",
"default": 1,
"example": 1
},
"page_size": {
"description": "1ページあたりの最大件数を指定します。",
"type": "integer",
"default": 20,
"minimum": 20,
"maximum": 100,
"example": 20
}
},
"required": [
"q"
]
}
}
}
},
"responses": {
"200": {
"description": "検索結果を返します。",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/cometa_catalog_item"
}
}
},
"required": [
"items"
]
},
{
"$ref": "#/components/schemas/cometa_pagination"
}
]
}
}
}
},
"400": {
"$ref": "#/components/responses/api_error_response"
},
"401": {
"$ref": "#/components/responses/401_response"
},
"403": {
"$ref": "#/components/responses/403_response"
}
}
}
}
},
"components": {
"schemas": {
"cometa_catalog_item": {
"title": "CometaCatalogItem",
"description": "DWHアセットの検索結果です。
\n`type` の値によってフィールド構成が異なります。\n",
"oneOf": [
{
"$ref": "#/components/schemas/cometa_catalog_database_item"
},
{
"$ref": "#/components/schemas/cometa_catalog_schema_item"
},
{
"$ref": "#/components/schemas/cometa_catalog_table_item"
},
{
"$ref": "#/components/schemas/cometa_catalog_column_item"
}
]
},
"cometa_pagination": {
"title": "CometaPagination",
"type": "object",
"properties": {
"pagination": {
"type": "object",
"properties": {
"current_page": {
"description": "現在のページ番号です。1始まり。",
"type": "integer",
"example": 1
},
"page_size": {
"description": "1ページあたりの最大件数です。",
"type": "integer",
"example": 20
},
"total_count": {
"description": "検索条件にマッチした全件数です。",
"type": "integer",
"example": 42
}
},
"required": [
"current_page",
"page_size",
"total_count"
]
}
},
"required": [
"pagination"
]
},
"cometa_catalog_database_item": {
"title": "CometaCatalogDatabaseItem",
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"catalog_database"
]
},
"id": {
"description": "DWHデータベースのIDです。",
"type": "integer",
"format": "int64",
"example": 1001
},
"fully_qualified_name": {
"description": "完全修飾名です。",
"type": "string",
"example": "project_a"
},
"logical_name": {
"description": "論理名です。",
"type": "string",
"nullable": true,
"example": "プロジェクトA"
},
"description": {
"description": "説明文です。",
"type": "string",
"nullable": true,
"example": "メインプロジェクトのデータベース"
},
"updated_at": {
"description": "最終更新日時 (ISO8601 / UTC) です。",
"type": "string",
"example": "2026-04-10T12:34:56Z"
}
},
"required": [
"type",
"id",
"fully_qualified_name",
"updated_at"
]
},
"cometa_catalog_schema_item": {
"title": "CometaCatalogSchemaItem",
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"catalog_schema"
]
},
"id": {
"description": "DWHスキーマのIDです。",
"type": "integer",
"format": "int64",
"example": 2001
},
"fully_qualified_name": {
"description": "完全修飾名です。",
"type": "string",
"example": "project_a.analytics"
},
"logical_name": {
"description": "論理名です。",
"type": "string",
"nullable": true,
"example": "アナリティクス"
},
"description": {
"description": "説明文です。",
"type": "string",
"nullable": true,
"example": "分析用スキーマ"
},
"status": {
"description": "認証ステータスです。",
"type": "string",
"nullable": true,
"enum": [
"unverified",
"verified",
"deprecated"
]
},
"updated_at": {
"description": "最終更新日時 (ISO8601 / UTC) です。",
"type": "string",
"example": "2026-04-10T12:34:56Z"
}
},
"required": [
"type",
"id",
"fully_qualified_name",
"status",
"updated_at"
]
},
"cometa_catalog_table_item": {
"title": "CometaCatalogTableItem",
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"catalog_table"
]
},
"id": {
"description": "DWHテーブルのIDです。",
"type": "integer",
"format": "int64",
"example": 3001
},
"fully_qualified_name": {
"description": "完全修飾名です。",
"type": "string",
"example": "project_a.analytics.orders"
},
"logical_name": {
"description": "論理名です。",
"type": "string",
"nullable": true,
"example": "注文"
},
"description": {
"description": "説明文です。",
"type": "string",
"nullable": true,
"example": "オンラインストアの注文テーブル"
},
"status": {
"description": "認証ステータスです。",
"type": "string",
"nullable": true,
"enum": [
"unverified",
"verified",
"deprecated"
]
},
"owner": {
"description": "テーブルのオーナーです。",
"type": "string",
"nullable": true,
"example": "data-platform@example.com"
},
"database_type": {
"description": "データベース種別です。",
"type": "string",
"example": "bigquery"
},
"table_type": {
"description": "テーブル種別です。",
"type": "string",
"nullable": true,
"example": "table"
},
"updated_at": {
"description": "最終更新日時 (ISO8601 / UTC) です。",
"type": "string",
"example": "2026-04-10T12:34:56Z"
}
},
"required": [
"type",
"id",
"fully_qualified_name",
"status",
"database_type",
"updated_at"
]
},
"cometa_catalog_column_item": {
"title": "CometaCatalogColumnItem",
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"catalog_column"
]
},
"id": {
"description": "DWHカラムのIDです。",
"type": "integer",
"format": "int64",
"example": 4001
},
"catalog_table_id": {
"description": "親テーブルのIDです。",
"type": "integer",
"format": "int64",
"example": 3001
},
"fully_qualified_name": {
"description": "完全修飾名です。",
"type": "string",
"example": "project_a.analytics.orders.amount"
},
"logical_name": {
"description": "論理名です。",
"type": "string",
"nullable": true,
"example": "売上金額"
},
"description": {
"description": "説明文です。",
"type": "string",
"nullable": true,
"example": "税込みの売上金額"
},
"status": {
"description": "認証ステータスです。",
"type": "string",
"nullable": true,
"enum": [
"unverified",
"verified",
"deprecated"
]
},
"data_type": {
"description": "カラムのデータ型です。",
"type": "string",
"nullable": true,
"example": "NUMERIC"
},
"updated_at": {
"description": "最終更新日時 (ISO8601 / UTC) です。",
"type": "string",
"example": "2026-04-10T12:34:56Z"
}
},
"required": [
"type",
"id",
"catalog_table_id",
"fully_qualified_name",
"status",
"updated_at"
]
}
},
"responses": {
"api_error_response": {
"description": "/api系の共通エラーレスポンス",
"content": {
"application/json": {
"schema": {
"title": "ApiErrorResponse",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "不正なリクエストです。"
}
}
}
}
}
},
"401_response": {
"description": "認証エラー",
"content": {
"application/json": {
"schema": {
"title": "ErrorResponse401",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "アカウント登録もしくはログインしてください。"
}
}
}
}
}
},
"403_response": {
"description": "認可エラー",
"content": {
"application/json": {
"schema": {
"title": "ErrorResponse403",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "操作を実行する権限がありません。"
}
}
}
}
}
}
}
}
}
````